
/*
*	$Id: logfile.h,v 1.1 1996/11/12 05:19:19 manchek Exp $
*
*	Read and repair temperature log files.
*	10 nov 1996  Robert Manchek
*/

/*
*  Copyright (C) 1995, 1996 by Robert Manchek.  (manchek@spiderplant.com)
*
*  Permission to use, copy, modify, and distribute this software
*  and its documentation for any purpose and without fee is hereby
*  granted, provided that this copyright notice appear in all
*  copies and that both that copyright notice and this permission
*  notice appear in supporting documentation.
*
*  This software is provided "as is" without express or implied
*  warranty.
*/

/*
*	$Log: logfile.h,v $
*	Revision 1.1  1996/11/12 05:19:19  manchek
*	Initial revision
*
*/

#define	NOREADING	9999

#define	SAMPLEINTERVAL	15

struct sample {
	int yr;
	int mo;
	int da;
	int hr;
	int mn;
	float val;
};


#ifdef _PT_
#undef _PT_
#endif
#ifdef __STDC__
#define _PT_(x) x
#else
#define _PT_(x) ()
#endif

int readlogfile _PT_(( FILE *ff, struct sample *data, int count ));

