
/*
*	$Id: bfunc.h,v 1.1 1996/11/21 04:24:53 manchek Exp $
*	bfunc.h
*
*	Bcopy/Memcpy patch.
*
*	$Log: bfunc.h,v $
*	Revision 1.1  1996/11/21 04:24:53  manchek
*	Initial revision
*
*/


#if defined(SYSVBFUNC)
#include <memory.h>
#define BZERO(d,n)      memset(d,0,n)
#define BCMP(s,d,n)     memcmp(d,s,n)
#define BCOPY(s,d,n)    memcpy(d,s,n)

#else
#define BZERO(d,n)      bzero(d,n)
#define BCMP(s,d,n)     bcmp(s,d,n)
#define BCOPY(s,d,n)    bcopy(s,d,n)

#endif

