
/*
 *	$Id: imalloc.h,v 1.1 1996/11/12 05:19:19 manchek Exp $
 */

/*
*	$Log: imalloc.h,v $
*	Revision 1.1  1996/11/12 05:19:19  manchek
*	Initial revision
*
*/

#include <stdlib.h>

/*
*	use these macros for all allocation
*/

#ifdef USEIMALLOC
#define	MYALLOC(n,g)	i_malloc((unsigned)(n), __LINE__, __FILE__)
#define	MYREALLOC(p,n)	i_realloc((char*)(p), (unsigned)(n), __LINE__, __FILE__)
#define	MYFREE(p)		i_free((char*)(p), __LINE__, __FILE__)
/*
#define	malloc(n)		i_bitch("malloc", __LINE__, __FILE__)
#define	realloc(p,n)	i_bitch("realloc", __LINE__, __FILE__)
#define	free(p)			i_bitch("free", __LINE__, __FILE__)
*/

#else
#define	MYALLOC(n,g)	malloc((unsigned)(n))
#define	MYREALLOC(p,n)	realloc((char*)(p), (unsigned)(n))
#define	MYFREE(p)	free((char*)(p))
#endif

/*
*	and these for convenience
*/

#define	TALLOC(n,t,g)	(t*)MYALLOC((n)*sizeof(t),(g))
#define	TREALLOC(p,n,t)	(t*)MYREALLOC((p),(n)*sizeof(t))
#define	STRALLOC(s)		strcpy(TALLOC(strlen(s)+1,char,"STR"),s)


#ifdef __ProtoGlarp__
#undef __ProtoGlarp__
#endif
#if defined(__STDC__) || defined(__cplusplus)
#define __ProtoGlarp__(x) x
#else
#define __ProtoGlarp__(x) ()
#endif

char *i_malloc __ProtoGlarp__ (( unsigned len, int itag, char *ctag ));
int i_free __ProtoGlarp__ (( char *loc, int itag, char *ctag ));
char* i_realloc __ProtoGlarp__ (( char *loc, unsigned len, int itag, char *ctag ));
int i_dump __ProtoGlarp__ (( int how ));

